# SourcePath: base-files/20050428rel
Summary: A system configuration file.
Name: sony-target-rel-base-files
%define pkgname %{sony_target_config}-rel-base-files
Version: PRO
Release: 010501
License: Public Domain
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source0: hosts
Source1: init
Source2: passwd.master
Source3: group.master
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_cross_target_dir}

%description
This package contains an important system configuration file,
/etc/hosts, /sbin/init, /etc/passwd and /etc/group.

%package -n %{pkgname}
Summary: A system configuration file.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This package contains an important system configuration file,
/etc/hosts, /sbin/init, /etc/passwd and /etc/group.

%prep

cp %{SOURCE2} passwd.master
cp %{SOURCE3} group.master


%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_sysconf_dir}

cp %{SOURCE0} %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_sysconf_dir}/.

mkdir -p %{buildroot}%{sony_cross_target_dir}/sbin

cp %{SOURCE1} %{buildroot}%{sony_cross_target_dir}/sbin/init
chmod a+x %{buildroot}%{sony_cross_target_dir}/sbin/init

install -p -m 644 passwd.master \
 %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_sysconf_dir}/passwd
install -p -m 644 group.master  \
 %{buildroot}%{sony_cross_target_dir}%{sony_target_rel_sysconf_dir}/group


%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(0644,root,root)
%config %{sony_cross_target_dir}%{sony_target_rel_sysconf_dir}/hosts
%config %{sony_cross_target_dir}%{sony_target_rel_sysconf_dir}/passwd
%config %{sony_cross_target_dir}%{sony_target_rel_sysconf_dir}/group
%defattr(-,root,root,-)
%{sony_cross_target_dir}/sbin/init

%changelog
* Thu Jul 14 2005 Sony Corporation - rel-base-files
- merge base-passwd

* Fri Apr 28 2005 Sony Corporation - rel-base-files
- change PATH default

* Thu Jan 27 2005 Sony Corporation - rel-base-files
- add /sbin/init file. 

* Thu Oct 18 2004 Sony Corporation - rel-base-files
- modified discription sections.  

* Thu Oct 15 2004 Sony Corporation - rel-base-files
- delete files except /etc/hosts.

* Thu Oct 14 2004 Sony Corporation - rel-base-files
- Initial build.
